notification panel sizing requires providers to specify fixed size content
The sizing of the notification panels only works correctly if the provider content defines a "notif" element with a fixed width and height.  We adjust the panel to whatever fixed size they specify.

Ideally we should control the size of the popup and allow the providers to implement a more flexible layout scheme - ie, we have a better idea of that the "best" size for the popup should be and the layout of the provider content should adjust accordingly.  They can still implement a fixed size if they choose, but they may end up with scroll-bars.  Or they can be even more flexible and avoid scrollbars while still not dictating the popup size.